### 

Всегда актуальная ссылка на [резюме](https://pleshevski.ru/rus/).

### Общие сведения

Меня зовут Дмитрий Плешевский.

Я энтузиаст программного обеспечения с открытым исходным кодом, ведущий
разработчик програмного обеспечения, архитектор, руководитель команды, а так же
ментор.

### Умения

Языки программирования:

- TypeScript (предпочитаю, твёрдый 9-летний опыт)
- SQL (предпочитаю, твёрдый 8-летний опыт)
- Rust (предпочитаю, 5-летний опыт)
- Python (твёрдый 9-летний опыт)
- Haskell
- Bash
- Java
- C#
- C++

Базы данных:

- PostgreSQL (предпочитаю, твёрдый 7-летний опыт)
- MySQL
- Sqlite
- MsSQL
- MongoDB
- Reddis

Я так же имею большой опыт в создании следующих типов приложений:

- Традиционные (SSR + Forms)
- API (REST/GraphQL/WebSocket/EventSource)
- Динамическое (SPA)
- Гибридное (SSR + SPA)
- Консольные
- Кроссплатформенные

### Stack

Backend (Rust)

- axum (предпочитаю, твёрдый 2-летний опыт)
- async-graphql (предпочитаю, твёрдый 2-летний опыт)
- shaku (предпочитаю, твёрдый 2-летний опыт)
- bb8 + postgres-types (предпочитаю, твёрдый 5-летний опыт)
- diesel (2-летний опыт)

Backend (Node.JS)

- Apollo (твёрдый 5-летний опыт)
- Express (твёрдый 9-летний опыт)
- Nest.JS
- Knex.js / Objection.js (твёрдый 5-летний опыт)
- Sequelize

Frontend

- React (твёрдый 8-летний опыт)
- VueJS (предпочитаю, твёрдый 3-летний опыт)
- Cypress (предпочитаю, твёрдый 3-летний опыт)
- JQuery
- Antd / Antdv
- PostCSS (предпочитаю, твёрдый 5-летний опыт)
- Sass (предпочитаю, твёрдый 8-летний опыт)
- Less (слабый 4-летний опыт)

DevOps

- NixOS / NixOps / Nix dev shell (предпочитаю, твёрдый 2-летний опыт)
- Docker Swarm (предпочитаю, твёрдый 5-летний опыт)
- Kubernetes (слабый 4-летний опыт)
- Woodpecker CI (предпочитаю, твёрдый 3-летний опыт)
- Drone CI (твёрдый 3-летний опыт)
- Gitlab CI (твёрдый 7-летний опыт)
- GitHub Actions (3-летний опыт)

### Интересы

Open-source проекты - моя страсть! Разрабатываю, поддерживаю и улучшаю проекты в
своё свободное время.

Помимо программирования я люблю готовить и проводить время со своей любимой
семьей!

### Контакты

Telegram: [Dmitriy Pleshevskiy](https://telegram.me/da_pranaya)

Matrix: @pleshevskiy:matrix.org

Email: [dmitriy@pleshevski.ru](mailto:dmitriy@pleshevski.ru)

### Ссылки

[My Git Repo](https://git.pleshevski.ru/)

[My Github (Приостановлен из-за санкций)](https://github.com/pleshevskiy)
